## README
### 1.运行代码
1. source工作空间
2. sudo chmod +x *.py文件
3. roslaunch lst_robot_r start.launch

### 2.package(SRC)
1. **lst_robot_r**
    1.1 **launch**-launch启动文件
    2.2 **msg**-自定义消息
    3.3 **scripts**-Python代码

2. **a9**
2.1 **config**-机械臂先关配置文件
2.2 **launch**-launch启动文件
2.3 **meshes**-机械臂STL文件
2.4 **urdf**-机械臂urdf模型

3. **robot_config**
3.1 **config**-moveit配置文件，常用srdf(修改机器人配置)
3.2 **launch**-launch启动文件，包括demo.launch文件

4. **Data**
4.1 点云数据，起始点终点数据，导出的其他的数据(轨迹关节值、末端执行器笛卡尔坐标)

5. **visual**
5.1 规划结果可视化

## 2024.9.30
- 添加修改笛卡尔路径参数的函数(速度，加速度)
- 修正机械臂的初始姿态(home位姿)
- 修改焊枪位姿，防止规划失败

## 2024.10.12
- 增加点云数据，起始点终点数据，测试碰撞检测

## 2024.10.17
- 修改规划逻辑，规划完一条焊缝后，末端执行器向上移动0.1m，然后继续规划下一条焊缝
- 参照：https://github.com/ros-industrial/fanuc/blob/kinetic/fanuc_m20ia_support/urdf/m20ia_macro.xacro
修改机器人关节限位参数



